### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.iom.orb

# Class EventUtil

java.lang.Object
com.sas.iom.orb.EventUtil

@SASScope("ALL") @BinaryCompatibilityOnly public class EventUtil extends Object
Utilities for IOM objects that produce or consume events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `advise(Object source, String id, DynamicImplementation listener)`
  Advise an event source of your interest in its events.
  `static int`
  `advise(Object source, String id, DynamicImplementation listener, int[][] policyValues)`
  `static void`
  `unadvise(Object source, String id, int handle)`
  Notify an event source that you are no longer interested in its events.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### advise

    public static int advise(Object source, String id, DynamicImplementation listener)
    Advise an event source of your interest in its events. This example shows how to advise a `com.sas.iom.SAS.ILanguageService` object of interest in `com.sas.iom.SASEvents.ILanguageEvents` events.

         ILanguageServices iLang = iWork.LanguageService();
         String eventID = ILanguageEventsHelper.id();
         ILanguageEventsOperations eventOps = // user's event listener implementation
         ILanguageEventsPOATie eventServant = new ILanguageEventsPOATie(eventOps);
         int handle = EventUtil.advise(iLang,eventID,eventServant);
         // eventOps can now received events from iLang
         EventUtil.unadvise(iLang,eventID,handle);
         // eventOps no longer can receive events from iLang

    Parameters:
      `source` - a reference to the object that produces events
      `id` - the ID of the event interface
      `listener` - event listener servant
    Returns:
      the event registration handle

  - ### advise

    public static int advise(Object source, String id, DynamicImplementation listener, int[][] policyValues)

  - ### unadvise

    public static void unadvise(Object source, String id, int handle)
    Notify an event source that you are no longer interested in its events.
    Parameters:
      `source` - a reference to the object that produces events
      `id` - the ID of the event interface
      `handle` - the event registration handle returned by `advise()`